> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete PVC voice sample

> Delete a sample from a PVC voice.



## OpenAPI

````yaml /api-reference/openapi.json delete /v1/voices/pvc/{voice_id}/samples/{sample_id}
openapi: 3.1.0
info:
  title: Threetone API
  description: >-
    APIs for the Threetone Agents Platform and shared workspace resources.
    Authenticate programmatic requests with an API key in the x-api-key header.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/voices/pvc/{voice_id}/samples/{sample_id}:
    delete:
      tags:
        - Voices
      summary: Delete PVC voice sample
      description: Delete a sample from a PVC voice.
      operationId: delete_pvc_voice_sample
      parameters:
        - name: voice_id
          in: path
          required: true
          schema:
            type: string
            description: >-
              Voice ID to be used, you can use GET /v1/voices to list all the
              available voices.
            examples:
              - 21m00Tcm4TlvDq8ikWAM
            title: Voice Id
          description: >-
            Voice ID to be used, you can use GET /v1/voices to list all the
            available voices.
        - name: sample_id
          in: path
          required: true
          schema:
            type: string
            description: Sample ID to be used
            examples:
              - VW7YKqPnjY4h39yTbx2L
            title: Sample Id
          description: Sample ID to be used
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteVoiceSampleResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DeleteVoiceSampleResponseModel:
      properties:
        status:
          type: string
          title: Status
          description: >-
            The status of the voice sample deletion request. If the request was
            successful, the status will be 'ok'. Otherwise an error message with
            status 500 will be returned.
      type: object
      required:
        - status
      title: DeleteVoiceSampleResponseModel
      example:
        status: ok
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.